org.apache.xerces.impl.xs.models

## Class CMBuilder

- java.lang.Object
- - org.apache.xerces.impl.xs.models.CMBuilder

    public class CMBuilder
    extends java.lang.Object

This class constructs content models for a given grammar.

Version:
  $Id: CMBuilder.java 573322 2007-09-06 16:48:47Z peterjm $
Author:
  Elena Litani, IBM, Sandy Gao, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Constructor Summary

Constructors
Constructor and Description
`CMBuilder(CMNodeFactory nodeFactory)`

### Method Summary

All Methods Instance Methods Concrete Methods
`XSCMValidator` `getContentModel(XSComplexTypeDecl typeDecl, boolean forUPA)` Get content model for the a given type
`void` `setDeclPool(XSDeclarationPool declPool)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CMBuilder

    public CMBuilder(CMNodeFactory nodeFactory)

### Method Detail

#### setDeclPool

    public void setDeclPool(XSDeclarationPool declPool)

#### getContentModel

    public XSCMValidator getContentModel(XSComplexTypeDecl typeDecl,
                                         boolean forUPA)

Get content model for the a given type

Parameters:
  `typeDecl` - get content model for which complex type
Returns:
  a content model validator